Subject: question about c-client

From: [email-masked]
Date: Fri, 22 Oct 2004 10:01:28 EDT

Does c-client works synchronously or asynchronously , i.e. after sending a  
request to IMAP server host (e.g. mail_list(..)), will it be blocked until host 
 sends the response to this request? or after it sends request it will return 
to  the caller and host's response will be delivered to a listener/response  
handler?